babel-preset-es2015-node5

    1.2.0 • Public • Published

    babel-preset-es2015-node5

    Babel preset to make node@5 fully ES2015 compatible.

    Node@5 has great ES2015 support, this module just adds missing features:

    Install

    npm install --save-dev babel-preset-es2015-node5
    

    Usage

    Read "Configuring Babel 6" article for more information about babel@6 configuration.

    Via .babelrc (recommended)

    .babelrc

    {
      "presets": ["es2015-node5"]
    }

    Via CLI

    babel script.js --presets es2015-node5
    

    Via Node API

    require('babel-core').transform('code', {
      presets: ['es2015-node5'],
    })

    License

    MIT

    Install

    npm i babel-preset-es2015-node5

    DownloadsWeekly Downloads

    790

    Version

    1.2.0

    License

    MIT

    Last publish

    Collaborators

    • alekseykulikov